package com.kym.service.admin;

import com.kym.entity.admin.SystemNotice;
import com.kym.entity.admin.queryParams.NoticeQueryParams;
import com.kym.entity.admin.vo.NoticeStationVo;
import com.kym.entity.common.PageBean;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 系统公告通知表 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-08-20
 */
public interface SystemNoticeService extends MyBaseService<SystemNotice> {
    void createNotice(NoticeStationVo vo);

    PageBean<NoticeStationVo> listSystemNotice(NoticeQueryParams params);

    NoticeStationVo getNoticeById(Long noticeId);
}
